package com.gic.demo.project.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.demo.project.api.dto.DemoStoreDTO;
import com.gic.demo.project.api.service.DemoStoreApiService;
import com.gic.demo.project.api.utils.DemoProjectApiConstant;
import com.gic.demo.project.service.DemoStoreService;
import com.gic.demo.project.entity.TabGicDemoStore;
import org.apache.commons.lang3.RandomUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhurz
 */
@Service
public class DemoStoreApiServiceImpl implements DemoStoreApiService {

    @Autowired
    private DemoStoreService localService;

    /**
     * 根据id查询
     *
     * @param storeId 门店id
     * @return
     */
    @Override
    public ServiceResponse<DemoStoreDTO> findDemoStoreById(String storeId) {
        if (RandomUtils.nextInt(0, 10) > 5) {
            return ServiceResponse.failure(DemoProjectApiConstant.ERROR, "服务异常");
        }
        TabGicDemoStore store = localService.findDemoStoreById(storeId);
        return ServiceResponse.success(EntityUtil.changeEntityByOrika(DemoStoreDTO.class, store));
    }

}
