package com.gic;

import com.alibaba.fastjson.JSON;
import com.dexcoder.commons.utils.UUIDUtils;
import com.gic.demo.project.dao.mapper.DemoEnterpriseMapper;
import com.gic.demo.project.dao.mapper.DemoStoreMapper;
import com.gic.demo.project.entity.TabGicDemoEnterprise;
import com.gic.demo.project.entity.TabGicDemoStore;
import org.apache.commons.lang3.RandomStringUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.List;

/**
 * Unit test for simple App.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath*:applicationContext-conf.xml"})
public class AppTest {

    @Autowired
    private DemoEnterpriseMapper enterpriseMapper;

    @Autowired
    private DemoStoreMapper storeMapper;

    @Test
    public void test1() {
        TabGicDemoEnterprise tabGicDemoEnterprise = enterpriseMapper.selectByPrimaryKey("22323423");
        System.out.println(JSON.toJSONString(tabGicDemoEnterprise, true));
    }

    @Test
    public void test2() {
        TabGicDemoStore tabGicDemoStore = storeMapper.selectByPrimaryKey("11b");
        System.out.println(JSON.toJSONString(tabGicDemoStore, true));
    }

    @Test
    public void test3() {
        for (int i = 0; i < 10; i++) {
            System.out.println("insert >> " + i);
            TabGicDemoStore store = new TabGicDemoStore();
            if (i % 2 == 0) {
                store.setStoreId(UUIDUtils.getUUID32());
            }
            store.setStoreName(RandomStringUtils.random(10, "abcdefghigklmn0123456789"));
            storeMapper.insertSelective(store);
            System.out.println(JSON.toJSONString(store));
        }
    }

    @Test
    public void test4() {
        List<TabGicDemoEnterprise> list = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            System.out.println("insert >> " + i);
            TabGicDemoEnterprise enterprise = new TabGicDemoEnterprise();
            list.add(enterprise);
            if (i % 2 == 0) {
                enterprise.setEnterpriseId(RandomStringUtils.random(20, "abcdefghigklmn0123456789"));
            }
            enterprise.setEnterpriseName(RandomStringUtils.random(10, "abcdefghigklmn0123456789"));
            enterprise.setStatus(1);
        }
        enterpriseMapper.insertList(list);
        System.out.println(JSON.toJSONString(list, true));
    }

}
